<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwConfigs: fwDpFunction common functions and variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group__fwConfigsDpFunctions.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#files">Files</a>  </div>
  <div class="headertitle">
<div class="title">fwDpFunction common functions and variables<div class="ingroups"><a class="el" href="group__fwConfigsDpFunctionsStat.html">fwDpFunction Statistical</a> &#124; <a class="el" href="group__fwConfigsDpFunctionsDpeConnection.html">fwDpFunction DPE Connection</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:fwDpFunction_8ctl"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwDpFunction_8ctl.html">fwDpFunction.ctl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Configuration object indexes</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrp019afced73a01889448e2122e02be989"></a>Used to access the configuration object attributes (object of type dyn_anytype). </p>
</td></tr>
<tr class="memitem:ga9e2608a0d013860197c889dbe56f2a3c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga9e2608a0d013860197c889dbe56f2a3c">fwDpFunction_OBJ_FUNCTION</a> = 5</td></tr>
<tr class="separator:ga9e2608a0d013860197c889dbe56f2a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafcb3deb2afa65a402cb83a18a2896a57"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#gafcb3deb2afa65a402cb83a18a2896a57">fwDpFunction_OBJ_PARAM</a> = 6</td></tr>
<tr class="separator:gafcb3deb2afa65a402cb83a18a2896a57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaaeae1a1093f7fafb245ca5a31427ae2"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#gaaaeae1a1093f7fafb245ca5a31427ae2">fwDpFunction_OBJ_GLOBAL</a> = 7</td></tr>
<tr class="separator:gaaaeae1a1093f7fafb245ca5a31427ae2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga412798ffab92c959c19af2ccb740b2c4"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga412798ffab92c959c19af2ccb740b2c4">fwDpFunction_OBJ_TYPE</a> = 8</td></tr>
<tr class="separator:ga412798ffab92c959c19af2ccb740b2c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga10e4dfe120ec70c5a3f57a80adb75111"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga10e4dfe120ec70c5a3f57a80adb75111">fwDpFunction_OBJ_STAT_TYPE</a> = 9</td></tr>
<tr class="separator:ga10e4dfe120ec70c5a3f57a80adb75111"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8760d011c3faf3344b379e2e753158f8"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga8760d011c3faf3344b379e2e753158f8">fwDpFunction_OBJ_STAT_INTERVAL</a> = 10</td></tr>
<tr class="separator:ga8760d011c3faf3344b379e2e753158f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a51e9c36660f720349dc061d47cee1e"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga9a51e9c36660f720349dc061d47cee1e">fwDpFunction_OBJ_STAT_DELAY</a> = 11</td></tr>
<tr class="separator:ga9a51e9c36660f720349dc061d47cee1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga96b6fe702a136d40bb749d2557979401"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga96b6fe702a136d40bb749d2557979401">fwDpFunction_OBJ_STAT_READ_ARCHIVE</a> = 12</td></tr>
<tr class="separator:ga96b6fe702a136d40bb749d2557979401"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Utility functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrpcebca7958b9505d1ef2e74b67dccca59"></a>Used to access the configuration object attributes (object of type dyn_anytype). </p>
</td></tr>
<tr class="memitem:ga5453e8d920e6a6fabd19ae28ded01600"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga5453e8d920e6a6fabd19ae28ded01600">fwDpFunction_objectInitialize</a> (dyn_mixed &amp;functionObject)</td></tr>
<tr class="separator:ga5453e8d920e6a6fabd19ae28ded01600"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace74a7f287820972313c37c31320ec86"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#gace74a7f287820972313c37c31320ec86">fwDpFunction_objectExtractType</a> (dyn_mixed functionObject)</td></tr>
<tr class="separator:gace74a7f287820972313c37c31320ec86"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Set/Get functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p><a class="anchor" id="amgrp8d8846cf1a53c71b56f0537c9356e872"></a>Used to set/get the dp function settings to/from the dpe. The settings are stored into the settings object. </p>
</td></tr>
<tr class="memitem:gaaa512cb3c7853534a7fa3b6c4138b455"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#gaaa512cb3c7853534a7fa3b6c4138b455">fwDpFunction_deleteMultiple</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gaaa512cb3c7853534a7fa3b6c4138b455"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga65c8e96b1591eaa6426d62fbe59f373d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga65c8e96b1591eaa6426d62fbe59f373d">fwDpFunction_deleteMany</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga65c8e96b1591eaa6426d62fbe59f373d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac1a4a338f3672e2692ba84133dd0292f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#gac1a4a338f3672e2692ba84133dd0292f">fwDpFunction_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:gac1a4a338f3672e2692ba84133dd0292f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0078a0137a305df2247fe4469a6cd123"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga0078a0137a305df2247fe4469a6cd123">fwDpFunction_objectSet</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_mixed functionObject, dyn_string &amp;exceptionInfo, bool runChecks=TRUE)</td></tr>
<tr class="separator:ga0078a0137a305df2247fe4469a6cd123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8c9b51e9c80123e627eb4d8063705009"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga8c9b51e9c80123e627eb4d8063705009">fwDpFunction_objectSetMany</a> (dyn_string &amp;dpes, dyn_mixed &amp;functionObjects, dyn_string &amp;exceptionInfo, bool runChecks=TRUE)</td></tr>
<tr class="separator:ga8c9b51e9c80123e627eb4d8063705009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2298baddface15f83cfcbbbfc1e417d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga2298baddface15f83cfcbbbfc1e417d3">fwDpFunction_objectGet</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, bool &amp;configExists, dyn_mixed &amp;functionObject, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga2298baddface15f83cfcbbbfc1e417d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga32bfeac3a14c0f140758b954c977eb17"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fwConfigsDpFunctions.html#ga32bfeac3a14c0f140758b954c977eb17">fwDpFunction_objectGetMany</a> (dyn_string &amp;dpes, dyn_bool &amp;configExists, dyn_mixed &amp;functionObjects, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ga32bfeac3a14c0f140758b954c977eb17"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This is a list of variables and functions used by both <a class="el" href="group__fwConfigsDpFunctionsDpeConnection.html">fwDpFunction DPE Connection</a> and <a class="el" href="group__fwConfigsDpFunctionsStat.html">fwDpFunction Statistical</a> </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga5453e8d920e6a6fabd19ae28ded01600"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDpFunction_objectInitialize </td>
          <td>(</td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>functionObject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the dp function object with default parameters. This function is not needed if using the functions <a class="el" href="group__fwConfigsDpFunctionsStat.html#gae804c071760dd62773843c403ca9e690">fwDpFunction_objectCreateStatistical()</a> or <a class="el" href="group__fwConfigsDpFunctionsDpeConnection.html#ga56e131fe5a3473aa83f34f88e538e9c6">fwDpFunction_objectCreateDpeConnection()</a>. By default, the object is initialized as no dp function.</p>
<dl class="section user"><dt>Constraints</dt><dd>It supports only basic parameters for statistical functions.</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">functionObject</td><td>This object will contain the dp function parameters with default values. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gace74a7f287820972313c37c31320ec86"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwDpFunction_objectExtractType </td>
          <td>(</td>
          <td class="paramtype">dyn_mixed&#160;</td>
          <td class="paramname"><em>functionObject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Return the type of dp function stored in the dp function object.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">functionObject</td><td>This object containing the dp function parameters. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the type of dp function: DPCONFIG_NONE, DPCONFIG_DP_FUNCTION or DPCONFIG_STAT_FUNCTION </dd></dl>

</div>
</div>
<a class="anchor" id="gaaa512cb3c7853534a7fa3b6c4138b455"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDpFunction_deleteMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>/**Deletes the DP function config for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here</td></tr>
  </table>
  </dd>
</dl>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000001">Reviewed:</a></b></dt><dd>2018-08-14 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-API">API</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga65c8e96b1591eaa6426d62fbe59f373d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDpFunction_deleteMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the DP function config for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac1a4a338f3672e2692ba84133dd0292f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDpFunction_delete </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the DP function config for the given data point element</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0078a0137a305df2247fe4469a6cd123"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDpFunction_objectSet </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed&#160;</td>
          <td class="paramname"><em>functionObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>runChecks</em> = <code>TRUE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Set the dp-function object to the dpe</p>
<ul>
<li>example: create a statistical dp function and set it to a dpe <div class="fragment"><div class="line">dyn_string <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>;</div>
<div class="line"><span class="keywordtype">string</span> <a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>;</div>
<div class="line"><span class="comment">//func object containing one dpfunc set</span></div>
<div class="line">dyn_mixed dpFuncObject;</div>
<div class="line"><span class="comment">//dp func parameters</span></div>
<div class="line">dyn_string functionParams;</div>
<div class="line">dyn_string functionGlobals;</div>
<div class="line"><span class="keywordtype">string</span> functionDefinition;</div>
<div class="line">dyn_int statTypes;</div>
<div class="line"><span class="keywordtype">int</span> intervalS;</div>
<div class="line"><span class="keywordtype">int</span> delayS;</div>
<div class="line"><span class="keywordtype">bool</span> readArchive;</div>
<div class="line"></div>
<div class="line"><span class="comment">//dp function setting:</span></div>
<div class="line"></div>
<div class="line"><span class="comment">//parameters p1, p2</span></div>
<div class="line">dynClear(functionParams);</div>
<div class="line">dynAppend(functionParams,<span class="stringliteral">&quot;sys1:dp1.val2:_original.._value&quot;</span>);</div>
<div class="line">dynAppend(functionParams,<span class="stringliteral">&quot;sys1:dp1.val3:_original.._value&quot;</span>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//global parameters g1, g2</span></div>
<div class="line">dynClear(functionGlobals);</div>
<div class="line">dynAppend(functionGlobals,<span class="stringliteral">&quot;sys1:dp1.val4:_original.._value&quot;</span>);</div>
<div class="line">dynAppend(functionGlobals,<span class="stringliteral">&quot;sys1:dp1.val5:_original.._value&quot;</span>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//parameter p1 is a Maximum function, parameter p2 is an Average function</span></div>
<div class="line">dynClear(statTypes);</div>
<div class="line">dynAppend(statTypes,SF_MAX);</div>
<div class="line">dynAppend(statTypes,SF_AVG);</div>
<div class="line"></div>
<div class="line"><span class="comment">//the function definition using the parameters</span></div>
<div class="line">functionDefinition = <span class="stringliteral">&quot;p1+p2+g1+g2&quot;</span>;</div>
<div class="line"></div>
<div class="line"><span class="comment">//time interval</span></div>
<div class="line">intervalS = 3;</div>
<div class="line"></div>
<div class="line"><span class="comment">//delay on first start</span></div>
<div class="line">delayS = 4;</div>
<div class="line"></div>
<div class="line"><span class="comment">//start reading from archive</span></div>
<div class="line">readArchive = <span class="keyword">true</span>;</div>
<div class="line"></div>
<div class="line"><span class="comment">//create the func object</span></div>
<div class="line"><a class="code" href="group__fwConfigsDpFunctionsStat.html#gae804c071760dd62773843c403ca9e690">fwDpFunction_objectCreateStatistical</a>( dpFuncObject,</div>
<div class="line">                                      functionParams,</div>
<div class="line">                                      functionGlobals,</div>
<div class="line">                                      functionDefinition,</div>
<div class="line">                                      statTypes,</div>
<div class="line">                                      intervalS,</div>
<div class="line">                                      delayS,</div>
<div class="line">                                      readArchive,</div>
<div class="line">                                      <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//dpe where to set the dp function</span></div>
<div class="line"><a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a> = <span class="stringliteral">&quot;sys1:dp1.val&quot;</span>;</div>
<div class="line"></div>
<div class="line"><span class="comment">//set the func object to the dpe</span></div>
<div class="line"><a class="code" href="group__fwConfigsDpFunctions.html#ga0078a0137a305df2247fe4469a6cd123">fwDpFunction_objectSet</a>(<a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dpFuncObject, <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>, <span class="keyword">true</span>);</div>
</div><!-- fragment --></li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>The object must be previously created with one of the functions fwDpFunction_objectCreate*</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>dpe to be configured with dpFunction. </td></tr>
    <tr><td class="paramname">functionObject</td><td>This object contains the dp function parameters. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">runChecks</td><td>Optional parameter - default TRUE TRUE: Run consistency checks on the input to the function (HIGHLY RECOMMENDED) FALSE: Do not run any checks at all - can result in badly configured or non configured dp functions. Use only for performance reasons. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8c9b51e9c80123e627eb4d8063705009"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDpFunction_objectSetMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>functionObjects</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>runChecks</em> = <code>TRUE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Set the dp-function object to the dpes</p>
<ul>
<li>example 1: create 2 stat functions, assign them to 2 dpes: <div class="fragment"><div class="line">dyn_string <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>, <a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>;</div>
<div class="line"><span class="comment">//func object containing one dpfunc set</span></div>
<div class="line">dyn_mixed dpFuncObject;</div>
<div class="line"><span class="comment">//this contains all the func objects</span></div>
<div class="line">dyn_mixed dpFuncObjects;</div>
<div class="line"><span class="comment">//dp func parameters</span></div>
<div class="line">dyn_string functionParams;</div>
<div class="line">dyn_string functionGlobals;</div>
<div class="line"><span class="keywordtype">string</span> functionDefinition;</div>
<div class="line">dyn_int statTypes;</div>
<div class="line"><span class="keywordtype">int</span> intervalS;</div>
<div class="line"><span class="keywordtype">int</span> delayS;</div>
<div class="line"><span class="keywordtype">bool</span> readArchive;</div>
<div class="line"></div>
<div class="line"><span class="comment">//dp function settings for dpe1:</span></div>
<div class="line"></div>
<div class="line"><span class="comment">//parameters p1, p2</span></div>
<div class="line">dynClear(functionParams);</div>
<div class="line">dynAppend(functionParams,<span class="stringliteral">&quot;sys1:dp1.val2:_original.._value&quot;</span>);</div>
<div class="line">dynAppend(functionParams,<span class="stringliteral">&quot;sys1:dp1.val3:_original.._value&quot;</span>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//global parameters g1, g2</span></div>
<div class="line">dynClear(functionGlobals);</div>
<div class="line">dynAppend(functionGlobals,<span class="stringliteral">&quot;sys1:dp1.val4:_original.._value&quot;</span>);</div>
<div class="line">dynAppend(functionGlobals,<span class="stringliteral">&quot;sys1:dp1.val5:_original.._value&quot;</span>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//parameter p1 is a Maximum function, parameter p2 is an Average function</span></div>
<div class="line">dynClear(statTypes);</div>
<div class="line">dynAppend(statTypes,SF_MAX);</div>
<div class="line">dynAppend(statTypes,SF_AVG);</div>
<div class="line"></div>
<div class="line"><span class="comment">//the function definition using the parameters</span></div>
<div class="line">functionDefinition = <span class="stringliteral">&quot;p1+p2+g1+g2&quot;</span>;</div>
<div class="line"></div>
<div class="line"><span class="comment">//time interval</span></div>
<div class="line">intervalS = 3;</div>
<div class="line"></div>
<div class="line"><span class="comment">//delay on first start</span></div>
<div class="line">delayS = 4;</div>
<div class="line"></div>
<div class="line"><span class="comment">//start reading from archive</span></div>
<div class="line">readArchive = <span class="keyword">true</span>;</div>
<div class="line"></div>
<div class="line"><span class="comment">//create the func object</span></div>
<div class="line"><a class="code" href="group__fwConfigsDpFunctionsStat.html#gae804c071760dd62773843c403ca9e690">fwDpFunction_objectCreateStatistical</a>( dpFuncObject,</div>
<div class="line">                                      functionParams,</div>
<div class="line">                                      functionGlobals,</div>
<div class="line">                                      functionDefinition,</div>
<div class="line">                                      statTypes,</div>
<div class="line">                                      intervalS,</div>
<div class="line">                                      delayS,</div>
<div class="line">                                      readArchive,</div>
<div class="line">                                      <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>);</div>
<div class="line"></div>
<div class="line"></div>
<div class="line"><span class="comment">//add the func object to the objects array</span></div>
<div class="line">dpFuncObjects[1] = dpFuncObject;</div>
<div class="line"></div>
<div class="line"><span class="comment">//dp function settings for dpe2:</span></div>
<div class="line"></div>
<div class="line"><span class="comment">//clear temp parameters</span></div>
<div class="line">dynClear(functionParams);</div>
<div class="line">dynClear(functionGlobals);</div>
<div class="line">dynClear(statTypes);</div>
<div class="line"></div>
<div class="line"><span class="comment">//parameters p1, p2</span></div>
<div class="line">dynClear(functionParams);</div>
<div class="line">dynAppend(functionParams,<span class="stringliteral">&quot;sys1:dp2.float2:_original.._value&quot;</span>);</div>
<div class="line">dynAppend(functionParams,<span class="stringliteral">&quot;sys1:dp2.float3:_original.._value&quot;</span>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//global parameters g1, g2</span></div>
<div class="line">dynClear(functionGlobals);</div>
<div class="line">dynAppend(functionGlobals,<span class="stringliteral">&quot;sys1:dp2.float4:_original.._value&quot;</span>);</div>
<div class="line">dynAppend(functionGlobals,<span class="stringliteral">&quot;sys1:dp2.int1:_original.._value&quot;</span>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//parameter p1 is a Maximum function, parameter p2 is an Average function</span></div>
<div class="line">dynClear(statTypes);</div>
<div class="line">dynAppend(statTypes,SF_MAX);</div>
<div class="line">dynAppend(statTypes,SF_AVG);</div>
<div class="line"></div>
<div class="line"><span class="comment">//the function definition using the parameters</span></div>
<div class="line">functionDefinition = <span class="stringliteral">&quot;p1+p2/(g1-g2)&quot;</span>;</div>
<div class="line"></div>
<div class="line"><span class="comment">//time interval</span></div>
<div class="line">intervalS = 3;</div>
<div class="line"></div>
<div class="line"><span class="comment">//delay on first start</span></div>
<div class="line">delayS = 4;</div>
<div class="line"></div>
<div class="line"><span class="comment">//start reading from archive</span></div>
<div class="line">readArchive = <span class="keyword">true</span>;</div>
<div class="line"></div>
<div class="line"><span class="comment">//create the func object</span></div>
<div class="line"><a class="code" href="group__fwConfigsDpFunctionsStat.html#gae804c071760dd62773843c403ca9e690">fwDpFunction_objectCreateStatistical</a>( dpFuncObject,</div>
<div class="line">                                      functionParams,</div>
<div class="line">                                      functionGlobals,</div>
<div class="line">                                      functionDefinition,</div>
<div class="line">                                      statTypes,</div>
<div class="line">                                      intervalS,</div>
<div class="line">                                      delayS,</div>
<div class="line">                                      readArchive,</div>
<div class="line">                                      <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//add the second func object to the objects array</span></div>
<div class="line">dpFuncObjects[2] = dpFuncObject;</div>
<div class="line"></div>
<div class="line"><span class="comment">//list of dpes where to set the dp function</span></div>
<div class="line"><a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a> = makeDynString(<span class="stringliteral">&quot;sys1:dp1.val&quot;</span>, <span class="stringliteral">&quot;sys1:dp2.val&quot;</span>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//set the func object array to the dpe array</span></div>
<div class="line"><a class="code" href="group__fwConfigsDpFunctions.html#ga8c9b51e9c80123e627eb4d8063705009">fwDpFunction_objectSetMany</a>(<a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dpFuncObjects, <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>, <span class="keyword">true</span>);</div>
</div><!-- fragment --></li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>The object must be previously created with one of the functions fwDpFunction_objectCreate*</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>List of dpes to be configured with dpFunction. </td></tr>
    <tr><td class="paramname">functionObjects</td><td>List of function parameter objects. Each of this object contains the dp function parameters. The list lenght must be the same length as dpes. Nevertheless, if the length is 1 (i.e. only one configuration), the same configuration is applied to all the dpes. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
    <tr><td class="paramname">runChecks</td><td>Optional parameter - default TRUE TRUE: Run consistency checks on the input to the function (HIGHLY RECOMMENDED) FALSE: Do not run any checks at all - can result in badly configured or non configured dp functions. Use only for performance reasons. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See Also</dt><dd><a class="el" href="group__fwConfigsDpFunctionsStat.html#gae804c071760dd62773843c403ca9e690">fwDpFunction_objectCreateStatistical()</a>, <a class="el" href="group__fwConfigsDpFunctionsDpeConnection.html#ga56e131fe5a3473aa83f34f88e538e9c6">fwDpFunction_objectCreateDpeConnection()</a>, <a class="el" href="group__fwConfigsDpFunctions.html#ga32bfeac3a14c0f140758b954c977eb17">fwDpFunction_objectGetMany()</a>, <a class="el" href="group__fwConfigsDpFunctions.html#ga0078a0137a305df2247fe4469a6cd123">fwDpFunction_objectSet()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga2298baddface15f83cfcbbbfc1e417d3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDpFunction_objectGet </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>functionObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get the dp function settings from a single dpe</p>
<ul>
<li>example 1: get a dp statistical function from a dpe and extract the settings: <div class="fragment"><div class="line">dyn_string <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>;</div>
<div class="line"><span class="keywordtype">string</span> <a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>;</div>
<div class="line">dyn_mixed dpFuncObject;</div>
<div class="line">dyn_string functionParams;</div>
<div class="line">dyn_string functionGlobals;</div>
<div class="line"><span class="keywordtype">string</span> functionDefinition;</div>
<div class="line">dyn_int statTypes;</div>
<div class="line"><span class="keywordtype">int</span> intervalS;</div>
<div class="line"><span class="keywordtype">int</span> delayS;</div>
<div class="line"><span class="keywordtype">bool</span> readArchive;</div>
<div class="line"><span class="keywordtype">bool</span> configExists;</div>
<div class="line"></div>
<div class="line"><span class="comment">//dpe containing the dp function</span></div>
<div class="line"><a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a> = <span class="stringliteral">&quot;sys1:dpe1.val&quot;</span>;</div>
<div class="line"></div>
<div class="line"><span class="comment">//get the dp function, store it to the dp function settings object</span></div>
<div class="line"><a class="code" href="group__fwConfigsDpFunctions.html#ga2298baddface15f83cfcbbbfc1e417d3">fwDpFunction_objectGet</a>(<a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, configExists, dpFuncObject, <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>);</div>
<div class="line"></div>
<div class="line"><span class="comment">//extract the statistical function settings, if it exists</span></div>
<div class="line"><span class="keywordflow">if</span>(<a class="code" href="group__fwConfigsDpFunctionsStat.html#ga1b709bcd215cbdf617550545c6d2b992">fwDpFunction_objectIsStatistical</a>(dpFuncObject))</div>
<div class="line">  <a class="code" href="group__fwConfigsDpFunctionsStat.html#gaddafdeb610872c15a6dc379acbadd4d7">fwDpFunction_objectExtractStatistical</a>(dpFuncObject,</div>
<div class="line">                                        functionParams,</div>
<div class="line">                                        functionGlobals,</div>
<div class="line">                                        functionDefinition,</div>
<div class="line">                                        statTypes,</div>
<div class="line">                                        intervalS,</div>
<div class="line">                                        delayS,</div>
<div class="line">                                        readArchive,</div>
<div class="line">                                        <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>);</div>
<div class="line"></div>
<div class="line">DebugN( <span class="stringliteral">&quot;fwDpFunction_objectGet():&quot;</span>,</div>
<div class="line">        functionParams,</div>
<div class="line">        functionGlobals,</div>
<div class="line">        functionDefinition,</div>
<div class="line">        statTypes,</div>
<div class="line">        intervalS,</div>
<div class="line">        delayS,</div>
<div class="line">        readArchive,</div>
<div class="line">        <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>);</div>
</div><!-- fragment --></li>
<li>example 2: get a dpe connection function from a dpe and extract the settings: <div class="fragment"><div class="line">dyn_string <a class="code" href="fwAlertConfig__Examples_8ctl.html#a126046206c14e7c8304037712a337682">exc</a>;</div>
<div class="line"><span class="keywordtype">string</span> <a class="code" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>;</div>
<div class="line">dyn_mixed dpFuncObject;</div>
<div class="line">dyn_string functionParams;</div>
<div class="line">dyn_string functionGlobals;</div>
<div class="line"><span class="keywordtype">string</span> functionDefinition;</div>
<div class="line"><span class="keywordtype">bool</span> configExists;</div>
<div class="line"></div>
<div class="line"><span class="comment">//dpe containing the dp function</span></div>
<div class="line">dpe = <span class="stringliteral">&quot;sys1:dpe1.val&quot;</span>;</div>
<div class="line"></div>
<div class="line"><span class="comment">//get the dp function, store it to the dp function settings object</span></div>
<div class="line"><a class="code" href="group__fwConfigsDpFunctions.html#ga2298baddface15f83cfcbbbfc1e417d3">fwDpFunction_objectGet</a>(dpe, configExists, dpFuncObject, exc);</div>
<div class="line"></div>
<div class="line"><span class="comment">//extract the statistical function settings, if it exists</span></div>
<div class="line"><span class="keywordflow">if</span>(<a class="code" href="group__fwConfigsDpFunctionsDpeConnection.html#ga5b1dcf5227227975a49d808e1ccbcc3f">fwDpFunction_objectIsDpeConnection</a>(dpFuncObject))</div>
<div class="line">  <a class="code" href="group__fwConfigsDpFunctionsDpeConnection.html#ga490a5571cb7dd8c37e80ece2cb6d466c">fwDpFunction_objectExtractDpeConnection</a>(dpFuncObject,</div>
<div class="line">                                        functionParams,</div>
<div class="line">                                        functionGlobals,</div>
<div class="line">                                        functionDefinition,</div>
<div class="line">                                        exc);</div>
<div class="line"></div>
<div class="line">DebugN( <span class="stringliteral">&quot;fwDpFunction_objectGet():&quot;</span>,</div>
<div class="line">        functionParams,</div>
<div class="line">        functionGlobals,</div>
<div class="line">        functionDefinition,</div>
<div class="line">        exc);</div>
</div><!-- fragment --></li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>dpe from which to extract dpFunction. </td></tr>
    <tr><td class="paramname">configExists</td><td>True if dp config exists, false if dp config does not exist </td></tr>
    <tr><td class="paramname">functionObject</td><td>Function parameter object to be returend. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See Also</dt><dd><a class="el" href="group__fwConfigsDpFunctionsStat.html#gae804c071760dd62773843c403ca9e690">fwDpFunction_objectCreateStatistical()</a>, <a class="el" href="group__fwConfigsDpFunctions.html#ga0078a0137a305df2247fe4469a6cd123">fwDpFunction_objectSet()</a>, <a class="el" href="group__fwConfigsDpFunctions.html#ga8c9b51e9c80123e627eb4d8063705009">fwDpFunction_objectSetMany()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga32bfeac3a14c0f140758b954c977eb17"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwDpFunction_objectGetMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>functionObjects</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get the dp function settings from a list of dpes</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>List of dpes from which to extract the dpFunction. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">configExists</td><td>True if dp config exists, false if dp config does not exist </td></tr>
    <tr><td class="paramname">functionObjects</td><td>List of function parameter objects to be returend. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>Details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See Also</dt><dd><a class="el" href="group__fwConfigsDpFunctions.html#ga2298baddface15f83cfcbbbfc1e417d3">fwDpFunction_objectGet()</a> </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="ga9e2608a0d013860197c889dbe56f2a3c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwDpFunction_OBJ_FUNCTION = 5</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>The function, using the parameters (will be p1 + p2...). </dd></dl>
<dl class="section user"><dt>Parameter Type</dt><dd>string </dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Compulsory. For Dpe Connection and Statistical. See use example on fwDpFunction_OBJ_objectSet(). </dd></dl>

</div>
</div>
<a class="anchor" id="gafcb3deb2afa65a402cb83a18a2896a57"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwDpFunction_OBJ_PARAM = 6</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>List of dpes as parameters to be used for the function (will be p1, p2...). The # of elements must be = to the # of elements in fwDpFunction_OBJ_STAT_TYPE. </dd></dl>
<dl class="section user"><dt>Parameter Type</dt><dd>dyn_string </dd></dl>
<dl class="section user"><dt>Usage</dt><dd></dd></dl>
<p>Compulsory. For Dpe Connection and Statistical. See use example on fwDpFunction_OBJ_objectSet(). </p>

</div>
</div>
<a class="anchor" id="gaaaeae1a1093f7fafb245ca5a31427ae2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwDpFunction_OBJ_GLOBAL = 7</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>List of dpes as global parameters to be used for the function (will be g1, g2...). </dd></dl>
<dl class="section user"><dt>Parameter Type</dt><dd>dyn_string </dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Optional. For Dpe Connection and Statistical. See use example on fwDpFunction_OBJ_objectSet(). </dd></dl>

</div>
</div>
<a class="anchor" id="ga412798ffab92c959c19af2ccb740b2c4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwDpFunction_OBJ_TYPE = 8</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>Type of function. Can contain the values: DPCONFIG_DP_FUNCTION, DPCONFIG_STAT_FUNCTION. </dd></dl>
<dl class="section user"><dt>Parameter Type</dt><dd>int </dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Compulsory. For Dpe Connection and Statistical. See use example on fwDpFunction_OBJ_objectSet(). </dd></dl>

</div>
</div>
<a class="anchor" id="ga10e4dfe120ec70c5a3f57a80adb75111"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwDpFunction_OBJ_STAT_TYPE = 9</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>Type of stat function (i.e. min, max... see full list on PVSS help, "_dp_fct.._stat_type"). One per parameter. The # of elements must be = to the # of elements in fwDpFunction_OBJ_PARAM. </dd></dl>
<dl class="section user"><dt>Parameter Type</dt><dd>dyn_int </dd></dl>
<dl class="section user"><dt>Usage</dt><dd>For Statistical only. Cumpulsory. Default = SF_MIN See use example on fwDpFunction_OBJ_objectSet(). </dd></dl>

</div>
</div>
<a class="anchor" id="ga8760d011c3faf3344b379e2e753158f8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwDpFunction_OBJ_STAT_INTERVAL = 10</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>Time interval of stat function, in seconds </dd></dl>
<dl class="section user"><dt>Parameter Type</dt><dd>int </dd></dl>
<dl class="section user"><dt>Usage</dt><dd>For Statistical only. Cumpulsory. Default = 1 See use example on fwDpFunction_OBJ_objectSet(). </dd></dl>

</div>
</div>
<a class="anchor" id="ga9a51e9c36660f720349dc061d47cee1e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwDpFunction_OBJ_STAT_DELAY = 11</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>Time delay of stat function, in seconds </dd></dl>
<dl class="section user"><dt>Parameter Type</dt><dd>int </dd></dl>
<dl class="section user"><dt>Usage</dt><dd>For Statistical only. Optional. Default = 0 See use example on fwDpFunction_OBJ_objectSet(). </dd></dl>

</div>
</div>
<a class="anchor" id="ga96b6fe702a136d40bb749d2557979401"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int fwDpFunction_OBJ_STAT_READ_ARCHIVE = 12</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Description</dt><dd>Read values from archive starting the stat function </dd></dl>
<dl class="section user"><dt>Parameter Type</dt><dd>bool </dd></dl>
<dl class="section user"><dt>Usage</dt><dd>For Statistical only. Optional. Default = false See use example on fwDpFunction_OBJ_objectSet(). </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
